Package: org.grails.dev.support

## [Java] Class CommandLineResourceLoader

- org.grails.dev.support.CommandLineResourceLoader

- Loads locations starting with /WEB-INF from the Grails web-app directory.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.core.io.DefaultResourceLoader` | `CLASSPATH_URL_PREFIX`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `org.springframework.core.io.Resource` | `getResource(java.lang.String location)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.io.DefaultResourceLoader` | `org.springframework.core.io.DefaultResourceLoader#getProtocolResolvers(), org.springframework.core.io.DefaultResourceLoader#addProtocolResolver(org.springframework.core.io.ProtocolResolver), org.springframework.core.io.DefaultResourceLoader#setClassLoader(java.lang.ClassLoader), org.springframework.core.io.DefaultResourceLoader#getClassLoader(), org.springframework.core.io.DefaultResourceLoader#getResource(java.lang.String), org.springframework.core.io.DefaultResourceLoader#wait(long, int), org.springframework.core.io.DefaultResourceLoader#wait(long), org.springframework.core.io.DefaultResourceLoader#wait(), org.springframework.core.io.DefaultResourceLoader#equals(java.lang.Object), org.springframework.core.io.DefaultResourceLoader#toString(), org.springframework.core.io.DefaultResourceLoader#hashCode(), org.springframework.core.io.DefaultResourceLoader#getClass(), org.springframework.core.io.DefaultResourceLoader#notify(), org.springframework.core.io.DefaultResourceLoader#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override public org.springframework.core.io.Resource getResource(java.lang.String location)